FROM alfg/ffmpeg:latest

# 安装OpenJDK 11
RUN apk add --no-cache openjdk11-jre

# 设置Java环境变量
ENV JAVA_HOME=/usr/lib/jvm/java-11-openjdk
ENV PATH=$PATH:$JAVA_HOME/bin

# 验证安装
RUN java -version && \
    ffmpeg -version && \
    ffmpeg -codecs && \
    ffmpeg -formats

# 设置工作目录
WORKDIR /app

# 设置时区
ENV TZ=Asia/Shanghai
RUN ln -snf /usr/share/zoneinfo/$TZ /etc/localtime && echo $TZ > /etc/timezone